#ifndef BMP_SHELL_HPP
#define BMP_SHELL_HPP

#include <gtkmm.h>
#include <mcs/mcs.h>
#include <mcs/gtk-bind.h>

#include "winamp2_skin.hpp"
#include "winamp2_main.hpp"
#include "winamp2_playlist.hpp"

#ifdef HAVE_LIBNOTIFY
#  include "notify.hpp"
#endif

// Stock icons
#  define BMP_STOCK_LIBRARY	        "bmp-stock-library"
#  define BMP_STOCK_STREAMS	        "bmp-stock-streams"
#  define BMP_STOCK_ABOUT	          "bmp-stock-about"
#  define BMP_STOCK_PREFERENCES	    "bmp-stock-preferences"
#  define BMP_STOCK_BOOKMARKS	      "bmp-stock-bookmarks"
#  define BMP_STOCK_XIPH	          "bmp-stock-xiph"
#  define BMP_STOCK_SHOUTCAST	      "bmp-stock-shoutcast"
#  define BMP_STOCK_MUSICBRAINZ	    "bmp-stock-musicbrainz"
#  define BMP_STOCK_AMAZON	        "bmp-stock-amazon"
#  define BMP_STOCK_SEARCH	        "bmp-stock-search"
#  define BMP_STOCK_TACHIKOMA	      "bmp-stock-tachikoma"
#  define BMP_STOCK_TAG	            "bmp-stock-tag"
#  define BMP_STOCK_AUDIO           "bmp-stock-audio"
#  define BMP_STOCK_PLAYLIST        "bmp-stock-playlist"
#  define BMP_STOCK_EDIT_ALBUM      "bmp-stock-edit-album"
#  define BMP_STOCK_MOVE_ALBUM      "bmp-stock-move-album"
#  define BMP_STOCK_ADD_MUSIC       "bmp-stock-add-music"
#  define BMP_STOCK_REMOVE_MUSIC    "bmp-stock-remove-music"
#  define BMP_STOCK_MEDIA_PLAY      "bmp-stock-media-play"
#  define BMP_STOCK_MEDIA_STOP      "bmp-stock-media-stop"
#  define BMP_STOCK_MEDIA_PAUSE     "bmp-stock-media-pause"
#  define BMP_STOCK_ADD             "bmp-stock-add"
#  define BMP_STOCK_DELETE          "bmp-stock-delete"
#  define BMP_STOCK_PLUGIN          "bmp-stock-plugin"
#  define BMP_STOCK_PLUGIN_DISABLED "bmp-stock-plugin-disabled"

namespace Bmp
{

  extern Glib::RefPtr<Gtk::UIManager>	  ui_manager;
  extern Glib::RefPtr<Gtk::ActionGroup>   actions;
  extern Glib::RefPtr<Gtk::ActionGroup>   actions_toggle; 
  extern BmpWinamp2Skin			    *winamp2_skin;
  extern BmpWindowMain			    *w_main;
  extern BmpWindowPlaylist		  *w_playlist;
  extern Mcs::Bind			        *mcs_bind;
#ifdef HAVE_LIBNOTIFY
  extern Bmp::Notify            *notify;
#endif
  extern bool                    skin_changing;

  void
  shell_init ();

  void
  shell_stop ();

  bool
  shell_running ();

  void
  raise_windows ();

}

#endif
